# classes/phing/tasks/ext/git/GitBaseTask.php

## \GitBaseTask
jump to top

Base class for Git tasks

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
see
  \VersionControl_Git
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.git
since
  2.4.3
version
  $Id: GitBaseTask.php 1122 2011-05-31 13:35:28Z mrook $

### Properties

`\VersionControl_Git $gitClient= 'null'`

Default value `null` Details

Type
  \VersionControl_Git

`string $gitPath= '/usr/bin/git'`

Bath to git binary

Default value`/usr/bin/git` Details

Type
  string

`string $repository= ''`

Current repository directory

Details

Type
  string

### Methods

`getGitClient( $reset = false, $repository = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$reset |  |
$repository |  |

`getGitPath( ) : string`
Get path to git executable
Returns

Type | Description
--- | ---
string |

`getRepository( ) : string`
Get repository directory
Returns

Type | Description
--- | ---
string |

`init( ) :`
Initialize Task.

Check and include necessary libraries.

`setGitPath( string $gitPath ) : \GitBaseTask`
Set path to git executable
Parameters

Name | Type | Description
--- | --- | ---
$gitPath | string | New path to git repository

Returns

Type | Description
--- | ---
\GitBaseTask |

`setRepository( string $repository ) : \GitBaseTask`
Set repository directory
Parameters

Name | Type | Description
--- | --- | ---
$repository | string | Repo directory

Returns

Type | Description
--- | ---
\GitBaseTask |

Documentation was generated by DocBlox 0.13.1.